Subject: Re: bug#22789: 25.1.50; In last master build https connections stop working

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Mar 2016 18:07:28 +0200

> From: Alain Schneble <[email-masked]>
> CC: <[email-masked]>, <[email-masked]>, <[email-masked]>
> Date: Tue, 1 Mar 2016 16:43:50 +0100
> 
> > That patch exposes a w32-specific stuff to process.c, so it cannot be
> > right.
> 
> Thanks.  I was unaware of that.  I should have done a grep on the usage
> of FILE_CONNECT first before proposing this patch.  That reveals clearly
> that it is w32-specific.  I'm sorry.

No need to apologize, you couldn't know this.  (You may wish reading
the large comment around line 800 in w32proc.c, which describes how
this works on Windows.)